=== debian/changelog ===
purple-protocol-facebook (1.36-0nix0) unstable; urgency=low

  * Moved up to 1.36

 -- Gabriel Schulhof <nix@go-nix.ca>  Sun,  5 Oct 2008 11:29:18 +0300

purple-protocol-facebook (1.28-0nix0) unstable; urgency=low

  * Initial port

 -- Gabriel Schulhof <nix@go-nix.ca>  Sat, 12 Jul 2008 20:54:14 +0300
