=== debian/control ===
Source: purple-protocol-facebook
Section: user/communication
Priority: optional
Maintainer: Gabriel Schulhof <nix@go-nix.ca>
Build-Depends: debhelper (>= 4.0.0), libpurple-dev, pidgin-dev
Standards-Version: 3.6.0

Package: purple-protocol-facebook
Section: user/instantmessaging
Architecture: any
Depends: ${shlibs:Depends}
Description: Pidgin Facebook support
XB-Maemo-Display-Name: Pidgin Facebook Support
XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABHNCSVQICAgIfAhkiAAAAAlwSFlzAAAGZQAABmUBzYteJwAAABl0RVh0U29mdHdhcmUAd3d3Lmlua3NjYXBlLm9yZ5vuPBoAAAMTSURBVEiJvZbPixxVEMc/9V73TPfMbNxdN9HVJBsicUVyCgZDjkbwB6JnJQcJ/gcxkKvn+AeIByEQMAgeEhAEExEFTUIIniRLBNfLJtGsGVa3Z3f7vVcedna2e3rSoyJbUNCvurq+r6q+r16LqrITYnYEBYiGDQdePXekkZqXwf7HkJ6NXriy+OWZW0WrFEt36M0P3zowP/9pI2mlRiCODLEVImuQrZ1ZgwuhEj73ivMB55QsW+0tLiy8fefy+5dGZpR02qfiZCLNNvymYX0roP9XOaXJRNrstE8Bo4HiyMYiHtXxgUXghUOP8/rRp5meaA7sZz+5hYinYWxc9I+GP7YCGsYDvffas5w88UzFbkSxIsgQzUpAVkwfqNqDosTW8MaL+wbr67d/5+elFQDW13MmWg1Eyt+UM0KxRseWbv+eNpOdBgBLyxlnPv6B4nGcNDF2CKlCb0FrM/rg3aM8Pzc1WM/sanLh7EsAnP7oe+4uZwjVIVABQrW2R7NTKbPTrcG6EVv27+kAEJt+f0dMmxKQAqqhtnQXv17gublp3jkxD8Dd5VU+++YOAMsrGaqeKAIb2dKJLwFF1lorUlu6r27+yuK9lQHQb92Mi1dvl3ycCxBCKa2o7JB75/Lx9C5kHHy11ME5nPel3VZ6pIxnnep2DBeqB1z/CRlU61kH5XPmfaj4j7p6KkBGlPm9u2qB5p5oD56Thq34Z24c6xRAOX74qVqgmcltoMfazYr/lR/vVRhemkgaArmrL9uwjCpT7gJ+qJyljLwGcudwPhDZR1++ufPc/+MvAB7+2Su9c34zxnDfSkDdle53T+7b+8oX134x7YbFCIgIZnhARhGXv10o2QKgAVY3HMSd8LD74JqIJKq6NgASkRRoNWcOfi7u5OGp3bPHupGJrCBWMNYgqmpABVVJW0nUy9YcIgqiIhJ8QL0SNnIfHtz/6frSjfOXgN0ikgHZ4CoXkQRI+5oUtNnXuL8xCwibE8sDDsiB9b6uFbQH9FR1Tep+t0RE2CaMFHRLtKAAQR8RsBbo/5Qd+6/7G8CNYdgkJsW5AAAAAElFTkSuQmCC
