## purple-protocol-facebook 1.36-0nix1

=== debian/changelog ===
purple-protocol-facebook (1.36-0nix1) unstable; urgency=low

  * Depend on sharutils for uuencoding the icon

 -- Gabriel Schulhof <nix@go-nix.ca>  Sun,  5 Oct 2008 18:20:56 +0300
