## purple-protocol-facebook 1.36-0nix2

=== debian/changelog ===
purple-protocol-facebook (1.36-0nix2) unstable; urgency=low

  * add -DPURPLE_PLUGINS, because #define PURPLE_PLUGIN is incorrect

 -- Gabriel Schulhof <nix@go-nix.ca>  Mon,  6 Oct 2008 21:15:50 +0300
