=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/communication
 Priority: optional
 Maintainer: Gabriel Schulhof <nix@go-nix.ca>
-Build-Depends: debhelper (>= 4.0.0), libpurple-dev, pidgin-dev
+Build-Depends: debhelper (>= 4.0.0), libpurple-dev, pidgin-dev, sharutils
 Standards-Version: 3.6.0
 
 Package: purple-protocol-facebook
