=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 build: build-stamp
 
 build-stamp:
-	cc -shared $(CFLAGS) `pkg-config --cflags --libs purple` libfacebook.c -o libfacebook.so
+	cc -shared $(CFLAGS) -DPURPLE_PLUGINS `pkg-config --cflags --libs purple` libfacebook.c -o libfacebook.so
 	touch build-stamp
 
 install: build
