=== debian/changelog ===
purple-protocol-facebook (1.61-0nix0) unstable; urgency=low

  * Moved up to 1.61
  * Moved to user/network
  * Re-did the building
  * Added monotone tracking

 -- Gabriel Schulhof <nix@go-nix.ca>  Sun, 27 Sep 2009 18:03:41 +0300

purple-protocol-facebook (1.36-0nix3) unstable; urgency=low

  * Moved to user/communication

 -- Gabriel Schulhof <nix@go-nix.ca>  Sun, 12 Oct 2008 09:37:09 +0300
