=== debian/control ===
Source: purple-protocol-facebook
Section: misc
Priority: optional
Maintainer: Gabriel Schulhof <nix@go-nix.ca>
Build-Depends: debhelper (>= 4.0.0), pidgin-dev, debhelper-maemo-package-icons, libjson-glib-dev
Standards-Version: 3.6.0

Package: purple-protocol-facebook
Section: user/network
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpurple0
Description: Pidgin Facebook Support
XB-Maemo-Display-Name: Pidgin Facebook Support

Package: purple-protocol-facebook-dbg
Section: devel
Architecture: any
Depends: purple-protocol-facebook (= ${Source-Version}), ${shlibs:Depends}
Description: Debugging symbols for purple-protocol-facebook
