=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
PURPLE_LIBDIR ?= $(shell pkg-config --variable libdir purple)
PURPLE_DATADIR ?= $(shell pkg-config --variable datadir purple)
PIDGIN_DATADIR ?= $(shell pkg-config --variable datadir pidgin)
LIB_INSTALL_DIR = $(CURDIR)/debian/tmp/$(PURPLE_LIBDIR)/purple-2
PIX_INSTALL_DIR = $(CURDIR)/debian/tmp/$(PIDGIN_DATADIR)/pixmaps/pidgin/protocols
CERT_INSTALL_DIR = $(CURDIR)/debian/tmp/$(PURPLE_DATADIR)/purple/ca-certs


CFLAGS = -Wall -g -DUSE_HILDON

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# Use soft-float and thumb mode if enabled. 
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: libfacebookarm.so
	echo -e '\033[7mtarget: build\033[0m'

libfacebookarm.so:
	echo -e '\033[7mtarget: build-stamp\033[0m'
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) libfacebookarm.so

clean:
	echo -e '\033[7mtarget: clean\033[0m'
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	dh_clean
	rm -f debian/copyright

install: build
	echo -e '\033[7mtarget: build\033[0m'
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	echo -e '\033[7mMaking install\033[0m'
	# Add here commands to install the package into debian/tmp
	mkdir -p $(LIB_INSTALL_DIR)
	cp libfacebookarm.so $(LIB_INSTALL_DIR)
	cp COPYRIGHT debian/copyright

	for proto_icon in $$(ls | grep 'facebook[0-9]*\.png'); do \
		SIZE=$$(echo $$proto_icon | sed s/[^0-9]//g); \
		mkdir -p $(PIX_INSTALL_DIR)/$$SIZE/; \
		cp facebook$$SIZE.png $(PIX_INSTALL_DIR)/$$SIZE/facebook.png; \
	done

	mkdir -p $(CERT_INSTALL_DIR)
	cp *.pem $(CERT_INSTALL_DIR)

# Build architecture-independent files here.
binary-indep: build install
	echo -e '\033[7mtarget: binary-indep\033[0m'
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	echo -e '\033[7mtarget: binary-arch\033[0m'

	dh_maemo_package_icons
	dh_testdir
	dh_testroot
#	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp -v
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	for dbg in `cat $(CURDIR)/debian/control | grep '^Package:' | grep --regex='-dbg$$' | awk '{print $$2;}' | sed 's/-dbg$$//'`; do \
		echo dh_strip --dbg-package=$$dbg; \
		dh_strip --dbg-package=$$dbg; \
	done
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	dh_maemo_package_icons --remove

binary: binary-indep binary-arch
	echo -e '\033[7mtarget: binary\033[0m'

squeaky: clean
	rm -rf \
		aclocal.m4 config.guess config.sub configure depcomp install-sh ltmain.sh missing mkinstalldirs pre_config.h.in \
		Makefile.in src/Makefile.in \
		debian/{tmp,files,substvars} \
		pidgin-extprefs-0.7 \
		pidgin-extprefs-0.7-maemo \
		*stamp debian/pidgin-extprefs \
		pidgin-extprefs-mtn \
		../pidgin-extprefs{,-dbg}_*.*

.PHONY: build clean binary-indep binary-arch binary install squeaky
